package templates.m2m

import com.google.inject.Singleton
import com.inchron.realtime.root.settings.SettingsFactory
import org.eclipse.app4mc.amalthea.model.Amalthea
import templates.AbstractAmaltheaInchronTransformer

@Singleton
class SettingsTransformer  extends AbstractAmaltheaInchronTransformer{
	
	/**
	 * This method creates the object of INCHRON Settings element
	 */
	def create SettingsFactory.eINSTANCE.createSettings createInchronSettings(Amalthea amalthea) {
		it.editor = getInchronSettingsFactory.createEditorSettings
		it.model = getInchronSettingsFactory.createModelSettings	
		it.tool = getInchronSettingsFactory.createToolSettings
	}
	
}
